@echo off

cd files

echo ' 
echo '
echo ' Connect your device with your computer and prepare to ROOT
echo '
echo ' !!! DO NOT DISCONNECT USB CABLE WHILE ROOTING !!!
echo '
echo '
pause

adb wait-for-devices
adb reboot bootloader
sleep 30

echo '
echo '
echo ' Rooting, please be patient ..
echo '
echo '
fastboot flash /system/bin/resize2fs magic
fastboot flash /system/bin/tune2fs busybox
fastboot flash /system/bin/partlink supersu.tgz
fastboot oem start_partitioning
fastboot flash /system/bin/logcat installer
fastboot oem stop_partitioning
sleep 2

echo '
echo '
echo ' All done, enjoy your ROOTED device :)
echo ' by shakalaca (http://23pin.logdown.com)
echo '
echo '
fastboot reboot
pause
